Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.fgov.ehealth.dics.protocol.v5
Class ValidateSamIdResponse

    java.lang.Object
      be.fgov.ehealth.commons.protocol.v2.ResponseType
          be.fgov.ehealth.dics.protocol.v5.ValidateSamIdResponse

All Implemented Interfaces:
  Serializable

    @Generated(value="com.sun.tools.xjc.Driver",
               date="2021-04-20T04:29:14+02:00",
               comments="JAXB RI v2.2.11")
    public class ValidateSamIdResponse

extends ResponseType
implements Serializable

Java class for ValidateSamIdResponseType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="ValidateSamIdResponseType">
       <complexContent>
         <extension base="{urn:be:fgov:ehealth:commons:protocol:v2}ResponseType">
           <sequence>
             <element name="Date" type="{http://www.w3.org/2001/XMLSchema}date"/>
             <element name="ConsultationType" type="{http://www.w3.org/2001/XMLSchema}string"/>
           </sequence>
         </extension>
       </complexContent>
     </complexType>

See Also:
  Serialized Form

Constructor Summary
`ValidateSamIdResponse()`

Method Summary
`String` | `getConsultationType()` Gets the value of the consultationType property.
`org.joda.time.DateTime` | `getDate()` Gets the value of the date property.
`void` | `setConsultationType(String value)` Sets the value of the consultationType property.
`void` | `setDate(org.joda.time.DateTime value)` Sets the value of the date property.

Methods inherited from class be.fgov.ehealth.commons.protocol.v2.ResponseType
`getId, getInResponseTo, getIssueInstant, setId, setInResponseTo, setIssueInstant`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ValidateSamIdResponse

    public ValidateSamIdResponse()

Method Detail

### getDate

    public org.joda.time.DateTime getDate()

  Gets the value of the date property.

  Returns:
    possible object is `String`

### setDate

    public void setDate(org.joda.time.DateTime value)

  Sets the value of the date property.

  Parameters:
    `value` - allowed object is `String`

### getConsultationType

    public String getConsultationType()

  Gets the value of the consultationType property.

  Returns:
    possible object is `String`

### setConsultationType

    public void setConsultationType(String value)

  Sets the value of the consultationType property.

  Parameters:
    `value` - allowed object is `String`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSAUDIOLOGIST 3.21.2 API
Copyright © {inceptionYear}-2021 eHealth. All Rights Reserved.